CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ProtectorContext Class Reference

Protector context (Implementation). Implementation detail. More...

`#include <ProtectorContext.h>`

## Public Member Functions

| ProtectorContext (Test *test, TestResult *result, const std::string &shortDescription)

## Public Attributes

Test * | m_test
TestResult * | m_result
std::string | m_shortDescription

## Detailed Description

Protector context (Implementation). Implementation detail.

## Constructor & Destructor Documentation

ProtectorContext::ProtectorContext | ( | Test * | test,
|  | TestResult * | result,
|  | const std::string & | shortDescription
| ) |  |

inline

## Member Data Documentation

TestResult* ProtectorContext::m_result

std::string ProtectorContext::m_shortDescription

Test* ProtectorContext::m_test

The documentation for this class was generated from the following file:

- ProtectorContext.h

| Send comments to: CppUnit Developers